> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoliver.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Staff Task

> Update a staff task. Only provided fields will be updated.



## OpenAPI

````yaml PUT /services/core/open_api/v1/staff_tasks/{id}
openapi: 3.1.0
info:
  title: Oliver Partner API
  description: API for partners to interact with Oliver
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://partner-api.getoliver.com
security:
  - bearerAuth: []
paths:
  /services/core/open_api/v1/staff_tasks/{id}:
    put:
      description: Update a staff task. Only provided fields will be updated.
      parameters:
        - name: X-Client-Id
          in: header
          description: The location id of the practice
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: The ID of the staff task to update
          required: true
          schema:
            type: string
      requestBody:
        description: Fields to update on the staff task
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateStaffTaskRequest'
      responses:
        '200':
          description: Staff task updated
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - data
                properties:
                  success:
                    type: boolean
                  data:
                    $ref: '#/components/schemas/StaffTask'
                  message:
                    type: string
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneralError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneralError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneralError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneralError'
components:
  schemas:
    UpdateStaffTaskRequest:
      type: object
      properties:
        title:
          type: string
          description: The title of the task
        description:
          type: string
          description: A detailed description of the task
        task_type:
          type: string
          enum:
            - task
            - rx_refill
          description: 'The type of staff task. Allowed values: `task`, `rx_refill`'
        status:
          type: string
          enum:
            - pending
            - completed
            - canceled
          description: >-
            The status of the task. Setting to `completed` or `canceled` will
            automatically set `finalized_at`. Setting back to `pending` will
            clear `finalized_at`.
        client_id:
          type: string
          description: The ID of the client to associate with this task
        patient_id:
          type: string
          description: The ID of the patient to associate with this task
        reference_time_at:
          type: string
          format: date-time
          description: A reference timestamp for the task in ISO 8601 format
    StaffTask:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the staff task
        task_type:
          type: string
          enum:
            - task
            - rx_refill
          description: The type of staff task
        status:
          type: string
          enum:
            - pending
            - completed
            - canceled
          description: The current status of the task
        title:
          type: string
          description: The title of the task
        description:
          type: string
          description: A detailed description of the task
        client_id:
          type: string
          nullable: true
          description: The ID of the client associated with this task
        patient_id:
          type: string
          nullable: true
          description: The ID of the patient associated with this task
        cancellation_allowed:
          type: boolean
          description: Whether the task can be canceled
        override_completion_action_text:
          type: string
          nullable: true
          description: Custom text for the completion action button, if set
        reference_time_at:
          type: string
          format: date-time
          nullable: true
          description: A reference timestamp associated with the task in ISO 8601 format
        finalized_at:
          type: string
          format: date-time
          nullable: true
          description: >-
            The timestamp when the task was completed or canceled in ISO 8601
            format
        created_at:
          type: string
          format: date-time
          description: The timestamp when the task was created in ISO 8601 format
        updated_at:
          type: string
          format: date-time
          description: The timestamp when the task was last updated in ISO 8601 format
    GeneralError:
      type: object
      required:
        - success
        - message
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````